<?php

class ServicosBatch extends CI_Controller {
    function __construct() {
        parent::__construct();
        $this->load->model('servicos/batch_model', '', TRUE);
$this->load->helper(get_helpers_paginas());
    }

    function index() {
        //$this->testeEmail();
        echo 'teste';
    }
    
    public funcion teste(){
         echo 'teste';
    }

    public function testeEmail() {
//linha de comando da tarefa cron
//curl – s -o /dev/null http://parquedasarvoresvalp.com.br/site/servicos/servicosBatch/testeEmail
        $para = array('williamsilva.ribeiro@gmail.com');
        GerenciarEmail::enviarEmailComCopiaComAnexo($para, 'Teste', 'Teste Batch', null, null);




    }

    public function resumoFinanceiro() {
//curl – s -o /dev/null http://parquedasarvoresvalp.com.br/site/servicos/servicosBatch/resumoFinanceiro
        $this->load->helper(get_helpers_paginas());
        $para = Array(
            'pcalipio@ibest.com.br',
            'ilhabarbosa@hotmail.com',
            //'loura.vania@hotmail.com',
            //'m.j.silva.98@gmail.com',
            //'elianesilva@jrdordel.com.br',
            'cr1assistente@gmail.com',
            'joaopedro.vasco@gmail.com',
            'williamsilva.ribeiro@gmail.com');

        $this->data['lancamentos'] = $this->batch_model->financeiroMesAtual();
        $this->data['view'] = 'sistema/relatorios/imprimir/todosFinanceiros';
        $mensagem = $this->load->view(DadosPaginas::PG_TOPO_RELATORIO, $this->data, true);

        GerenciarEmail::enviarEmailComCopiaComAnexo($para, 'Resumo Financeiro Condomínio', $mensagem, null, null);
    }

    public function enviarSMSAniversariantes(){
        $aniversarios = $this->batch_model->aniversariantesDoDia();
        foreach($aniversarios as $niver){
            if(!empty($niver->nr_celular)){
                $mensagem = urlencode('COND. PARQUE DAS ARVORES: '.$niver->nm_morador.
                    ', O Sindico PARABENIZA pelo seu aniversario e lhe deseja muitas paz, saude e felicidades !');
                $nrDestino = preg_replace("/[^0-9]/","", $niver->nr_celular);
                GerenciarEmail::enviarSMS($nrDestino,$mensagem );
            }
        }
    }
}